# Mozilla Persona (BrowserID)

Implementation of Mozilla Persona (BrowserID) for WordPress

## Description

[Mozilla Persona](https://login.persona.org/ "Mozilla Persona") is an open source identity system from the [Identity Team](http://identity.mozilla.com/ "Identity Team") at [Mozilla](https://mozilla.org/ "Mozilla").

"As a user of Mozilla Persona (BrowserID), you confirm your email addresses once. Then, you can sign into any web site that supports Mozilla Persona with just two clicks."

This plugin allows users to sign into your site using Mozilla Persona. A widget, shortcode and template tags are provided. Custom login and logout links can be created.

### Beta features

* [bbPress 2](http://bbpress.org/ "bbPress") integration: create topics / reply with Mozilla Persona

## Reporting problems

Please report any issues on the plugin's [issue tracker](https://github.com/shane-tomlinson/browserid-wordpress/issues).

## Installation

*Using the WordPress dashboard*

1. Login to your weblog
1. Go to Plugins
1. Select Add New
1. Search for Mozilla Persona
1. Select Install
1. Select Install Now
1. Select Activate Plugin

*Manual installation*

1. Download and unzip the plugin
1. Upload the entire *browserid/* directory to the */wp-content/plugins/* directory
1. Activate the plugin through the Plugins menu in WordPress


# Maintainers
* [Shane Tomlinson](https://shanetomlinson.com) - shane@shanetomlinson.com or stomlinson@mozilla.com
* [Marcel Bokhorst](http://blog.bokhorst.biz)



## Acknowledgments
* [Marcel Bokhorst](http://blog.bokhorst.biz/) is the original author of this plugin. His awesome work has allowed me to continue.
* [Guillermo Movia](mailto://deimidis@mozilla-hispano.org) for Spanish translations.
* [Ruslan Bekenev - @KryDos](https://github.com/KryDos) for Russian translations, bug fixes, and continued support.
* [Fabian Rodriguez - @MagicFab](https://github.com/MagicFab) for French and Canadian French translations as well as man bug reports.
* [Edwin Wong @edmoz](http://www.edwinsf.com/blog/) for continued testing.
* [@janw-oostendorp](https://github.com/janw-oostendorp) for updated Dutch translations and backgroundColor color picker.
* [David Murdoch @davidmurdoch](https://github.com/davidmurdoch/) fixing jQuery 1.9+ compatability
* [Makoto Kato @makotokato](https://github.com/makotokato) for Japanese translations.

This plugin uses:

* The client side [Mozilla Persona script](https://login.persona.org/include.js "Mozilla Persona script")
